Subject: Re: [RFC/GSOC] Git Beginner | Warnings for potentially destructive commands

From: Matthieu Moy <[email-masked]>
Date: Sat, 26 Mar 2016 16:12:37 +0100

Jacob Keller <[email-masked]> writes:

> If possible, I would suggest aiming for generating the actual topology
> that the user is seeing, customized so that it gives relevenat
> information, rather than static examples.

Using the real topology in a useful way is actually pretty hard. It's
quite easy to throw the output of "git log --graph --oneline ..." to the
user, but as soon as the rebase deals with more than a handfull of
commits, we'd want to simplify the history to show something
understandable to the user (which by definition should be a beginner if
he uses ggit), like replacing long sequences of commits with "..." or
so. That is hard to get right.

-- 
Matthieu Moy
http://www-verimag.imag.fr/~moy/